# Change a public link

`PATCH /v1/share-links/{shareLinkId}`

Set expiresAt or password to null to remove them.

Scope: `docs:write`.

## Request

```bash
curl -X PATCH "https://api.lydie.co/v1/share-links/01JCQ3V5MZ8G4ZK2X7T9R6N1PB" \
  -H "Authorization: Bearer $LYDIE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'
```

## Path parameters

- `shareLinkId` (string, required): (1–64 chars)

## Body

- `includeSubpages` (boolean, optional)
- `expiresAt` (timestamp, optional, nullable)
- `password` (string, optional, nullable): (4–200 chars)

## Response

- `id` (string, required): (1–64 chars)
- `documentId` (string, required)
- `tokenHint` (string, required)
- `includeSubpages` (boolean, required)
- `expiresAt` (timestamp, required, nullable)
- `hasPassword` (boolean, required)
- `createdBy` (string, required, nullable)
- `createdAt` (timestamp, required)

```json
{
  "id": "string",
  "documentId": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
  "tokenHint": "string",
  "includeSubpages": false,
  "expiresAt": null,
  "hasPassword": false,
  "createdBy": null,
  "createdAt": "2026-11-12T09:30:00.000Z"
}
```

Errors use the envelope described at https://developers.lydie.co/errors.md.
